import streamlit as st
import plotly.express as px
import numpy as np
import pandas as pd

# Streamlit アプリのタイトル
st.title("📊 スライダーでデータを動的に変更")

# ユーザーがデータポイント数を選択できるスライダー
num_points = st.slider("データポイント数", min_value=10, max_value=100, value=50)

# サンプルデータの作成
x = np.linspace(0, 10, num_points)
y = np.sin(x)
df = pd.DataFrame({"x": x, "y": y})

# Plotly で折れ線グラフを作成
fig = px.line(df, x="x", y="y", title=f"サイン波（データポイント: {num_points}）")

# Streamlit に Plotly グラフを表示
st.plotly_chart(fig)